net.sf.okapi.common.filterwriter

## Class Parameters

- java.lang.Object
- - net.sf.okapi.common.BaseParameters
  - - net.sf.okapi.common.filterwriter.Parameters

- All Implemented Interfaces:
    IParameters, IEditorDescriptionProvider

      public class Parameters
      extends BaseParameters
      implements IEditorDescriptionProvider

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.BaseParameters

      `buffer, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EditorDescription` | `createEditorDescription(ParametersDescription paramsDesc)`
    `void` | `fromString(java.lang.String data)` Parses the parameters stored into a string back into the object.
    `ParametersDescription` | `getParametersDescription()` Gets the description of the parameters.
    `boolean` | `isWriteAllPropertiesAsAttributes()`
    `void` | `reset()` Reset the parameters to their default values.
    `void` | `setWriteAllPropertiesAsAttributes(boolean writeAllPropertiesAsAttributes)`
    `java.lang.String` | `toString()` Converts the parameters into a string.

    - ### Methods inherited from class net.sf.okapi.common.BaseParameters

      `getBoolean, getInteger, getPath, getString, load, save, setBoolean, setInteger, setPath, setString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### reset

          public void reset()

      Description copied from interface: `IParameters`
      Reset the parameters to their default values.
      Specified by:
        `reset` in interface `IParameters`

    - #### fromString

          public void fromString(java.lang.String data)

      Description copied from interface: `IParameters`
      Parses the parameters stored into a string back into the object.
      Specified by:
        `fromString` in interface `IParameters`
      Parameters:
        `data` - the string holding the parameters. It must be formatted as the string generated by toString(). Line-breaks must be normalized to '\n'. It can also be null or empty, in such case the parameters are left with their current values. Use reset() to reset the parameters to their defaults.

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IParameters`
      Converts the parameters into a string.
      Specified by:
        `toString` in interface `IParameters`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string holding all the parameters.

    - #### isWriteAllPropertiesAsAttributes

          public boolean isWriteAllPropertiesAsAttributes()

    - #### setWriteAllPropertiesAsAttributes

          public void setWriteAllPropertiesAsAttributes(boolean writeAllPropertiesAsAttributes)

    - #### getParametersDescription

          public ParametersDescription getParametersDescription()

      Description copied from interface: `IParameters`
      Gets the description of the parameters.
      Specified by:
        `getParametersDescription` in interface `IParameters`
      Overrides:
        `getParametersDescription` in class `BaseParameters`
      Returns:
        the ParametersDescription object for this set of parameters, or null if none is provided.

    - #### createEditorDescription

          public EditorDescription createEditorDescription(ParametersDescription paramsDesc)

      Specified by:
        `createEditorDescription` in interface `IEditorDescriptionProvider`